#
# spec file for package makewhat
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           makewhat
Version:        2009.6.17
Release:        24.16
URL:            https://build.opensuse.org/package/show/Base:System/makewhat
Summary:        Utilities to create a whatis database
License:        GPL-2.0-or-later
Group:          System/Base
BuildRequires:  update-alternatives
Requires:       man
Requires(post): update-alternatives
Requires(preun): update-alternatives
Source:         makewhat.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The man system in SUSE Linux (package man) does not need a whatis
database. Nevertheless, some manual browsers, such as tkman, still need
such a database.

%prep
%setup -n makewhat

%build
echo Build section is empty

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
install -m755 makewhatis %{buildroot}%{_sbindir}/makewhatis.mw
ln -sf %{_sbindir}/makewhatis.mw %{buildroot}%{_sysconfdir}/alternatives/makewhatis
ln -sf %{_sysconfdir}/alternatives/makewhatis %{buildroot}%{_sbindir}/makewhatis

%post
%{_sbindir}/update-alternatives --quiet --force \
        --install %{_sbindir}/makewhatis makewhatis %{_sbindir}/makewhatis.mw 900

%preun
if test $1 -eq 0
then
	%{_sbindir}/update-alternatives --quiet --remove makewhatis %{_sbindir}/makewhatis
fi

%files
%defattr(-,root,root)
%ghost %config %{_sysconfdir}/alternatives/makewhatis
%{_sbindir}/makewhatis.mw
%{_sbindir}/makewhatis

%changelog
* Sat Mar 16 2019 Jan Engelhardt <jengelh@inai.de>
- Trim author list and %%clean section.
- Use noun phrase in summary and update description.
* Thu Mar  7 2019 Dr. Werner Fink <werner@suse.de>
- Skip %%verify(not link mtime) from symbolic links %%_bindir even if
  those should not hurt but avoid superfluous verify messages
* Wed Mar  6 2019 Dr. Werner Fink <werner@suse.de>
- Use update-alternatives to allow that makewhatis(1) can be
  overwritten by an other package like mandoc
* Tue Aug  6 2013 werner@suse.de
- Redirect stderr of whatis(1) to catch standard warning message
  of whatis(1) (bnc#832678)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Wed May 28 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Thu Dec 14 2000 werner@suse.de
- Group tag
* Wed Dec 15 1999 werner@suse.de
- Move whatis files to /var/cache/man/ hierarchy and set
  a symbolic link into the old location
- Use program manpath instead of $MANPATH
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 bs@suse.de
- fixed path for catman dir.
- typo fix.
* Mon Mar 23 1998 werner@suse.de
- created new script, that uses man db.
- set version to `date`
* Tue Feb  3 1998 ro@suse.de
- generated spec file
